SDL_SysWMinfo Struct Reference

`#include <SDL_syswm.h>`

Collaboration diagram for SDL_SysWMinfo:
[legend]

## Data Fields

SDL_version | version
SDL_SYSWM_TYPE | subsystem
union { |
struct { |
Display * display |
Window window |
} x11
struct { |
struct wl_display * display |
struct wl_surface * surface |
void * shell_surface |
struct wl_egl_window * egl_window |
struct xdg_surface * xdg_surface |
struct xdg_toplevel * xdg_toplevel |
struct xdg_popup * xdg_popup |
struct xdg_positioner * xdg_positioner |
} wl
struct { |
int dev_index |
int drm_fd |
struct gbm_device * gbm_dev |
} kmsdrm
Uint8 dummy [64] |
} | info

## Detailed Description

The custom window manager information structure.

When this structure is returned, it holds information about which low level system it is using, and will be one of SDL_SYSWM_TYPE.

Definition at line 226 of file SDL_syswm.h.

## Field Documentation

## dev_index

int SDL_SysWMinfo::dev_index

Device index (ex: the X in /dev/dri/cardX)

Definition at line 340 of file SDL_syswm.h.

## display [1/2]

struct wl_display* SDL_SysWMinfo::display

Wayland display

Definition at line 295 of file SDL_syswm.h.

## display [2/2]

Display* SDL_SysWMinfo::display

The X11 display

Definition at line 249 of file SDL_syswm.h.

## drm_fd

int SDL_SysWMinfo::drm_fd

DRM FD (unavailable on Vulkan windows)

Definition at line 341 of file SDL_syswm.h.

## dummy

Uint8 SDL_SysWMinfo::dummy[64]

Definition at line 348 of file SDL_syswm.h.

## egl_window

struct wl_egl_window* SDL_SysWMinfo::egl_window

Wayland EGL window (native window)

Definition at line 298 of file SDL_syswm.h.

## gbm_dev

struct gbm_device* SDL_SysWMinfo::gbm_dev

GBM device (unavailable on Vulkan windows)

Definition at line 342 of file SDL_syswm.h.

## [union]

union { ... } SDL_SysWMinfo::info

## [struct]

struct { ... } SDL_SysWMinfo::kmsdrm

## shell_surface

void* SDL_SysWMinfo::shell_surface

DEPRECATED Wayland shell_surface (window manager handle)

Definition at line 297 of file SDL_syswm.h.

## subsystem

SDL_SYSWM_TYPE SDL_SysWMinfo::subsystem

Definition at line 229 of file SDL_syswm.h.

## surface

struct wl_surface* SDL_SysWMinfo::surface

Wayland surface

Definition at line 296 of file SDL_syswm.h.

## version

SDL_version SDL_SysWMinfo::version

Definition at line 228 of file SDL_syswm.h.

## window

Window SDL_SysWMinfo::window

The X11 window

Definition at line 250 of file SDL_syswm.h.

## [struct]

struct { ... } SDL_SysWMinfo::wl

## [struct]

struct { ... } SDL_SysWMinfo::x11

## xdg_popup

struct xdg_popup* SDL_SysWMinfo::xdg_popup

Wayland xdg popup role

Definition at line 301 of file SDL_syswm.h.

## xdg_positioner

struct xdg_positioner* SDL_SysWMinfo::xdg_positioner

Wayland xdg positioner, for popup

Definition at line 302 of file SDL_syswm.h.

## xdg_surface

struct xdg_surface* SDL_SysWMinfo::xdg_surface

Wayland xdg surface (window manager handle)

Definition at line 299 of file SDL_syswm.h.

## xdg_toplevel

struct xdg_toplevel* SDL_SysWMinfo::xdg_toplevel

Wayland xdg toplevel role

Definition at line 300 of file SDL_syswm.h.

The documentation for this struct was generated from the following file:

- SDL_syswm.h